zipfile = ::File.join(Chef::Config[:file_cache_path], ::File.basename(node['gauge']['url']))

remote_file zipfile do
  source node['gauge']['url']
  checksum node['gauge']['checksum']
  not_if {::File.exist?("/opt/local/gauge/bin/gauge") }
end

directory "/opt/local/gauge" do
  owner 'root'
  group 'root'
  mode  '0755'
  recursive true
end

execute "install gauge v#{node['gauge']['version']}" do
  creates "/opt/local/gauge/bin/gauge"
  command "unzip #{zipfile} -d /opt/local/gauge"
end

file "/usr/local/bin/gauge" do
  mode  '0755'
  owner 'root'
  group 'root'
  content  <<-EOF
#!/bin/bash
#
# This file was generated by chef, any changes will be lost
#
export GAUGE_ROOT=/opt/local/gauge
exec $GAUGE_ROOT/bin/gauge "$@"
EOF
end

file zipfile do
  action :delete
  backup false
end
